MCOOKIE(1)

NAMN
mcookie - generera magiska cookies för xauth

SYNOPSIS

mcookie [flaggor]

BESKRIVNING

mcookie genererar ett 128-bitars slumpmässigt hexadecimalt tal för användning med X-auktoritetssystemet. Typisk användning:

    xauth lägg till :0 . mcookie

Det "slumpmässiga" tal som genereras är i själva verket MD5-meddelandesammanställningen av slumpmässig information som kommer från en av källorna getrandom(2) systemanrop, /dev/urandom, /dev/random eller libc pseudo-random functions, i denna prioritetsordning. Se även flaggan --file.

FLAGGOR

-f, --file fil
    Använd denna fil som en extra källa till slumpmässighet (t.ex. /dev/urandom). När fil är '-' läses tecken från standardinmatningen.

-m, --max-size nummer
    Läs från fil endast detta antal bytes. Denna flagga är avsett att användas vid läsning av ytterligare slumpmässiga data från en fil eller enhet.

    Argumentet nummer kan följas av de multiplikativa suffixen KiB=1024, MiB=1024*1024, och så vidare för GiB, TiB, PiB, EiB, ZiB och YiB (iB är valfritt, t.ex. har "K" samma betydelse som "KiB") eller suffixen KB=1000, MB=1000*1000, och så vidare för GB, TB, PB, EB, ZB och YB.

-v, --verbose
    Informera om var slumpmässigheten har sitt ursprung, med mängden entropi som läses från varje källa.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

FILER

/dev/urandom

/dev/random

KÄNDA PROBLEM

Det förutsätts att ingen av slumpkällorna blockeras.

SE ÄVEN

md5sum(1), X(7), xauth(1), rand(3)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot mcookie ingår i paketet util-linux som kan hämtas från